org.wso2.carbon.ml.rest.api

## Class ConfigurationApiV11

- java.lang.Object
- - org.wso2.carbon.ml.rest.api.MLRestAPI
  - - org.wso2.carbon.ml.rest.api.ConfigurationApiV11

-     public class ConfigurationApiV11
      extends MLRestAPI

  This class is to handle REST verbs GET , POST and DELETE.

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.ml.rest.api.MLRestAPI

      `auditLog`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationApiV11()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `getAlgorithm(String algorithmName)` Get `MLAlgorithm` object by algorithm name.
    `javax.ws.rs.core.Response` | `getAllAlgorithms()` Get all supported algorithms.
    `javax.ws.rs.core.Response` | `getDASTables()` Get available WSO2 DAS tables.
    `javax.ws.rs.core.Response` | `getHyperParamsOfAlgorithm(String algorithmName)` Get hyper-parameters of an algorithm.
    `javax.ws.rs.core.Response` | `getPMMLAvailability(String algorithmName, String format)` Get PMML availability of an algorithm.
    `javax.ws.rs.core.Response` | `getSummaryStatSettings()` Get summary statistics settings.
    `javax.ws.rs.core.Response` | `options()`

    - ### Methods inherited from class org.wso2.carbon.ml.rest.api.MLRestAPI

      `getTenantID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationApiV11

          public ConfigurationApiV11()

  - ### Method Detail

    - #### options

          public javax.ws.rs.core.Response options()

    - #### getAllAlgorithms

          public javax.ws.rs.core.Response getAllAlgorithms()

      Get all supported algorithms.
      Returns:
        JSON array of `MLAlgorithm` objects

    - #### getAlgorithm

          public javax.ws.rs.core.Response getAlgorithm(String algorithmName)

      Get `MLAlgorithm` object by algorithm name.
      Parameters:
        `algorithmName` - Name of the algorithm
      Returns:
        JSON of `MLAlgorithm` object

    - #### getHyperParamsOfAlgorithm

          public javax.ws.rs.core.Response getHyperParamsOfAlgorithm(String algorithmName)

      Get hyper-parameters of an algorithm.
      Parameters:
        `algorithmName` - Name of the algorithm
      Returns:
        JSON array of `MLHyperParameter` objects

    - #### getDASTables

          public javax.ws.rs.core.Response getDASTables()

      Get available WSO2 DAS tables.
      Returns:
        JSON array of table names

    - #### getSummaryStatSettings

          public javax.ws.rs.core.Response getSummaryStatSettings()

      Get summary statistics settings.
      Returns:
        JSON of `SummaryStatisticsSettings` object

    - #### getPMMLAvailability

          public javax.ws.rs.core.Response getPMMLAvailability(String algorithmName,
                                                      String format)

      Get PMML availability of an algorithm.

Copyright © 2017 WSO2, Inc.. All rights reserved.